Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Class GaussianBlurRable8Bit

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
              org.apache.batik.ext.awt.image.renderable.GaussianBlurRable8Bit

All Implemented Interfaces:
  RenderableImage, Filter, FilterColorInterpolation, GaussianBlurRable

    public class GaussianBlurRable8Bit

extends AbstractColorInterpolationRable
implements GaussianBlurRable

GaussianBlurRable implementation

Field Summary
`static double` | `eps`

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
`csLinear`

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Constructor Summary
`GaussianBlurRable8Bit(Filter src, double stdevX, double stdevY)`

Method Summary
`RenderedImage` | `createRendering(RenderContext rc)`
`static boolean` | `eps_abs_eq(double f1, double f2)`
`static boolean` | `eps_eq(double f1, double f2)`
`Rectangle2D` | `getBounds2D()` Grow the source's bounds
`Shape` | `getDependencyRegion(int srcIndex, Rectangle2D outputRgn)` Returns the region of input data is is required to generate outputRgn.
`Shape` | `getDirtyRegion(int srcIndex, Rectangle2D inputRgn)` This calculates the region of output that is affected by a change in a region of input.
`Filter` | `getSource()` Returns the source of the blur operation
`double` | `getStdDeviationX()` Returns the deviation along the x-axis, in user space.
`double` | `getStdDeviationY()` Returns the deviation along the y-axis, in user space.
`void` | `setSource(Filter src)` Sets the source of the blur operation
`void` | `setStdDeviationX(double stdDeviationX)` The deviation along the x axis, in user space.
`void` | `setStdDeviationY(double stdDeviationY)` The deviation along the y axis, in user space.

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
`convertSourceCS, convertSourceCS, getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createDefaultRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getTimeStamp, getWidth, init, init, init, init, isDynamic, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Field Detail

### eps

    public static final double eps

See Also:
  Constant Field Values

Constructor Detail

### GaussianBlurRable8Bit

    public GaussianBlurRable8Bit(Filter src,
                                 double stdevX,
                                 double stdevY)

Method Detail

### setStdDeviationX

    public void setStdDeviationX(double stdDeviationX)

  The deviation along the x axis, in user space.

  Specified by:
    `setStdDeviationX` in interface `GaussianBlurRable`
  Parameters:
    `stdDeviationX` - should be greater than zero.

### setStdDeviationY

    public void setStdDeviationY(double stdDeviationY)

  The deviation along the y axis, in user space.

  Specified by:
    `setStdDeviationY` in interface `GaussianBlurRable`
  Parameters:
    `stdDeviationY` - should be greater than zero

### getStdDeviationX

    public double getStdDeviationX()

  Returns the deviation along the x-axis, in user space.

  Specified by:
    `getStdDeviationX` in interface `GaussianBlurRable`

### getStdDeviationY

    public double getStdDeviationY()

  Returns the deviation along the y-axis, in user space.

  Specified by:
    `getStdDeviationY` in interface `GaussianBlurRable`

### setSource

    public void setSource(Filter src)

  Sets the source of the blur operation

  Specified by:
    `setSource` in interface `GaussianBlurRable`
  Parameters:
    `src` - image to blurred.

### getBounds2D

    public Rectangle2D getBounds2D()

  Grow the source's bounds

  Specified by:
    `getBounds2D` in interface `Filter`
  Overrides:
    `getBounds2D` in class `AbstractRable`

### getSource

    public Filter getSource()

  Returns the source of the blur operation

  Specified by:
    `getSource` in interface `GaussianBlurRable`

### eps_eq

    public static boolean eps_eq(double f1,
                                 double f2)

### eps_abs_eq

    public static boolean eps_abs_eq(double f1,
                                     double f2)

### createRendering

    public RenderedImage createRendering(RenderContext rc)

  Specified by:
    `createRendering` in interface `RenderableImage`

### getDependencyRegion

    public Shape getDependencyRegion(int srcIndex,
                                     Rectangle2D outputRgn)

  Returns the region of input data is is required to generate outputRgn.

  Specified by:
    `getDependencyRegion` in interface `Filter`
  Overrides:
    `getDependencyRegion` in class `AbstractRable`
  Parameters:
    `srcIndex` - The source to do the dependency calculation for.
    `outputRgn` - The region of output you are interested in generating dependencies for. The is given in the user coordiate system for this node.
  Returns:
    The region of input required. This is in the user coordinate system for the source indicated by srcIndex.

### getDirtyRegion

    public Shape getDirtyRegion(int srcIndex,
                                Rectangle2D inputRgn)

  This calculates the region of output that is affected by a change in a region of input.

  Specified by:
    `getDirtyRegion` in interface `Filter`
  Overrides:
    `getDirtyRegion` in class `AbstractRable`
  Parameters:
    `srcIndex` - The input that inputRgn reflects changes in.
    `inputRgn` - the region of input that has changed, used to calculate the returned shape. This is given in the user coordinate system of the source indicated by srcIndex.
  Returns:
    The region of output that would be invalid given a change to inputRgn of the source selected by srcIndex. this is in the user coordinate system of this node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.